Upstream information

CVE-2010-0407 at MITRE

Description

Multiple buffer overflows in the MSGFunctionDemarshall function in winscard_svc.c in the PC/SC Smart Card daemon (aka PCSCD) in MUSCLE PCSC-Lite before 1.5.4 allow local users to gain privileges via crafted message data, which is improperly demarshalled.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:L/AC:L/Au:S/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 609317 [RESOLVED / FIXED], 641823 [NEEDINFO]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libpcsclite1 >= 1.8.10-3.7
  • libpcsclite1-32bit >= 1.8.10-3.7
  • pcsc-lite >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libpcsclite1
SUSE Linux Enterprise Desktop 12 SP1
  • libpcsclite1 >= 1.8.10-3.7
  • libpcsclite1-32bit >= 1.8.10-3.7
  • pcsc-lite >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libpcsclite1
SUSE Linux Enterprise Desktop 12 SP2
  • libpcsclite1 >= 1.8.10-3.7
  • libpcsclite1-32bit >= 1.8.10-3.7
  • pcsc-lite >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libpcsclite1
SUSE Linux Enterprise Desktop 12 SP3
  • libpcsclite1 >= 1.8.10-6.1
  • libpcsclite1-32bit >= 1.8.10-6.1
  • pcsc-lite >= 1.8.10-6.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libpcsclite1
SUSE Linux Enterprise Module for Basesystem 15
  • libpcsclite1 >= 1.8.23-2.27
  • libpcscspy0 >= 1.8.23-2.27
  • pcsc-lite >= 1.8.23-2.27
  • pcsc-lite-devel >= 1.8.23-2.27
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libpcsclite1
SUSE Linux Enterprise Server 11
  • pcsc-lite >= 1.4.102-1.31.1
  • pcsc-lite-32bit >= 1.4.102-1.31.1
  • pcsc-lite-x86 >= 1.4.102-1.31.1
Patchnames:
slessp0-pcsc-lite
SUSE Linux Enterprise Server 11 SP1
  • pcsc-lite >= 1.4.102-1.31.2
  • pcsc-lite-32bit >= 1.4.102-1.31.2
  • pcsc-lite-x86 >= 1.4.102-1.31.2
Patchnames:
slessp1-pcsc-lite
SUSE Linux Enterprise Server 11 SP2
  • pcsc-lite >= 1.4.102-1.37.3
  • pcsc-lite-32bit >= 1.4.102-1.37.3
  • pcsc-lite-x86 >= 1.4.102-1.37.3
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA pcsc-lite
SUSE Linux Enterprise Server 11 SP3
  • pcsc-lite >= 1.4.102-1.37.3
  • pcsc-lite-32bit >= 1.4.102-1.37.3
  • pcsc-lite-x86 >= 1.4.102-1.37.3
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA pcsc-lite
SUSE Linux Enterprise Server 11 SP4
  • pcsc-lite >= 1.4.102-1.37.3
  • pcsc-lite-32bit >= 1.4.102-1.37.3
  • pcsc-lite-x86 >= 1.4.102-1.37.3
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA pcsc-lite
SUSE Linux Enterprise Server 12
  • libpcsclite1 >= 1.8.10-3.7
  • pcsc-lite >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Server 12 GA libpcsclite1
SUSE Linux Enterprise Server 12 SP1
  • libpcsclite1 >= 1.8.10-3.7
  • pcsc-lite >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libpcsclite1
SUSE Linux Enterprise Server 12 SP2
  • libpcsclite1 >= 1.8.10-3.7
  • pcsc-lite >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libpcsclite1
SUSE Linux Enterprise Server 12 SP3
  • libpcsclite1 >= 1.8.10-6.1
  • pcsc-lite >= 1.8.10-6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libpcsclite1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libpcsclite1 >= 1.8.10-3.4
  • pcsc-lite >= 1.8.10-3.4
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libpcsclite1
SUSE Linux Enterprise Server for SAP Applications 11
  • pcsc-lite >= 1.4.102-1.31.1
  • pcsc-lite-32bit >= 1.4.102-1.31.1
  • pcsc-lite-x86 >= 1.4.102-1.31.1
Patchnames:
slessp0-pcsc-lite
SUSE Linux Enterprise Software Development Kit 11 SP4
  • pcsc-lite-devel >= 1.4.102-1.37.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA pcsc-lite-devel
SUSE Linux Enterprise Software Development Kit 12
  • libpcscspy0 >= 1.8.10-3.7
  • pcsc-lite-devel >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libpcscspy0
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libpcscspy0 >= 1.8.10-3.7
  • pcsc-lite-devel >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libpcscspy0
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libpcscspy0 >= 1.8.10-3.7
  • pcsc-lite-devel >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libpcscspy0
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libpcscspy0 >= 1.8.10-6.1
  • pcsc-lite-devel >= 1.8.10-6.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libpcscspy0
SUSE Linux Enterprise Workstation Extension 12
  • libpcsclite1-32bit >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA libpcsclite1-32bit
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libpcsclite1-32bit >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libpcsclite1-32bit
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libpcsclite1-32bit >= 1.8.10-3.7
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libpcsclite1-32bit
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libpcsclite1-32bit >= 1.8.10-6.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libpcsclite1-32bit
openSUSE 11.1
  • pcsc-lite-debuginfo >= 1.4.102-1.249.1
  • pcsc-lite-debuginfo-32bit >= 1.4.102-1.249.1
  • pcsc-lite-debuginfo-64bit >= 1.4.102-1.249.1
  • pcsc-lite-debugsource >= 1.4.102-1.249.1
openSUSE 11.1
  • pcsc-lite >= 1.4.102-1.249.1
  • pcsc-lite-32bit >= 1.4.102-1.249.1
  • pcsc-lite-64bit >= 1.4.102-1.249.1
  • pcsc-lite-devel >= 1.4.102-1.249.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • pcsc-lite-devel >= 1.4.102-1.31.2
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.x86
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.ppc
sles11-sp1.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.x86-64
SAT Patch Nr: 2670
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • pcsc-lite >= 1.4.102-1.31.2
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.x86
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.ppc
sles11-sp1.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.x86-64
SAT Patch Nr: 2670
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • pcsc-lite >= 1.4.102-1.31.2
  • pcsc-lite-32bit >= 1.4.102-1.31.2
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.x86
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.ppc
sles11-sp1.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.x86-64
SAT Patch Nr: 2670
SUSE Linux Enterprise Server 11 SP1
  • pcsc-lite >= 1.4.102-1.31.2
  • pcsc-lite-x86 >= 1.4.102-1.31.2
sles11-sp1-vmware.x86
sled11-sp1.x86-64
sle11-sp1-sdk.x86
sles11-sp1.x86
sle11-sp1-sdk.ia64
sles11-sp1.s390x
sles11-sp1.ia64
sled11-sp1.x86
sle11-sp1-sdk.ppc
sle11-sp1-sdk.s390x
sles11-sp1.ppc
sles11-sp1.x86-64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.x86-64
SAT Patch Nr: 2670
SUSE Linux Enterprise 11 Moblin 2.0
  • pcsc-lite-debuginfo >= 1.4.102-1.31.2
  • pcsc-lite-debugsource >= 1.4.102-1.31.2
SAT Patch Nr: 2651
SUSE Linux Enterprise 11 Moblin 2.0
  • pcsc-lite >= 1.4.102-1.31.2
SAT Patch Nr: 2651
SUSE Linux Enterprise 11 Moblin 2.1
  • pcsc-lite >= 1.4.102-1.31.2
SAT Patch Nr: 2652
openSUSE 11.2
  • libpcsclite1-debuginfo >= 1.5.5-2.2.1
  • libpcsclite1-debuginfo-32bit >= 1.5.5-2.2.1
  • pcsc-lite-debuginfo >= 1.5.5-2.2.1
  • pcsc-lite-debugsource >= 1.5.5-2.2.1
openSUSE 11.2
  • libpcsclite1 >= 1.5.5-2.2.1
  • libpcsclite1-32bit >= 1.5.5-2.2.1
  • pcsc-lite >= 1.5.5-2.2.1
  • pcsc-lite-devel >= 1.5.5-2.2.1
openSUSE 11.3
  • libpcsclite1-debuginfo >= 1.5.5-7.1.1
  • libpcsclite1-debuginfo-32bit >= 1.5.5-7.1.1
  • pcsc-lite-debuginfo >= 1.5.5-7.1.1
  • pcsc-lite-debugsource >= 1.5.5-7.1.1
openSUSE 11.3
  • libpcsclite1 >= 1.5.5-7.1.1
  • libpcsclite1-32bit >= 1.5.5-7.1.1
  • pcsc-lite >= 1.5.5-7.1.1
  • pcsc-lite-devel >= 1.5.5-7.1.1
SUSE Linux Enterprise SDK 11 GA
  • pcsc-lite-devel >= 1.4.102-1.31.1
sle11-sdk.x86-64
sle11-sdk.x86
sle11-sdk.s390x
sle11-sdk.ia64
sles11.s390x
sled11.x86
sled11.x86-64
sles11.x86
sle11-sdk.ppc
sles11.x86-64
sles11.ia64
sles11.ppc
SAT Patch Nr: 2645
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • pcsc-lite >= 1.4.102-1.31.1
sle11-sdk.x86-64
sle11-sdk.x86
sle11-sdk.s390x
sle11-sdk.ia64
sles11.s390x
sled11.x86
sled11.x86-64
sles11.x86
sle11-sdk.ppc
sles11.x86-64
sles11.ia64
sles11.ppc
SAT Patch Nr: 2645
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • pcsc-lite >= 1.4.102-1.31.1
  • pcsc-lite-32bit >= 1.4.102-1.31.1
sle11-sdk.x86-64
sle11-sdk.x86
sle11-sdk.s390x
sle11-sdk.ia64
sles11.s390x
sled11.x86
sled11.x86-64
sles11.x86
sle11-sdk.ppc
sles11.x86-64
sles11.ia64
sles11.ppc
SAT Patch Nr: 2645
SUSE Linux Enterprise Server 11 GA
  • pcsc-lite >= 1.4.102-1.31.1
  • pcsc-lite-x86 >= 1.4.102-1.31.1
sle11-sdk.x86-64
sle11-sdk.x86
sle11-sdk.s390x
sle11-sdk.ia64
sles11.s390x
sled11.x86
sled11.x86-64
sles11.x86
sle11-sdk.ppc
sles11.x86-64
sles11.ia64
sles11.ppc
SAT Patch Nr: 2645
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • pcsc-lite >= 1.2.9_beta9-17.17.1
  • pcsc-lite-devel >= 1.2.9_beta9-17.17.1
sles10-sp3.s390x
sles10-sp3.ia64
sles10-sp3.ppc
sles10-sp3.x86
sle10-sp3-sdk.ppc
sle10-sp3-sdk.x86
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ia64
sled10-sp3.x86-64
sles10-sp3.x86-64
sled10-sp3.x86
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 7092
openSUSE Leap 15.0
  • libpcsclite1 >= 1.8.23-lp150.2.1
  • pcsc-lite >= 1.8.23-lp150.2.1
Patchnames:
openSUSE Leap 15.0 GA libpcsclite1
openSUSE Leap 42.1
  • libpcsclite1 >= 1.8.14-1.1
  • pcsc-lite >= 1.8.14-1.1
Patchnames:
openSUSE Leap 42.1 GA libpcsclite1
openSUSE Leap 42.2
  • libpcsclite1 >= 1.8.17-1.2
  • pcsc-lite >= 1.8.17-1.2
Patchnames:
openSUSE Leap 42.2 GA libpcsclite1
openSUSE Leap 42.3
  • libpcsclite1 >= 1.8.22-1.1
  • pcsc-lite >= 1.8.22-1.1
Patchnames:
openSUSE Leap 42.3 GA libpcsclite1
openSUSE Tumbleweed
  • libpcsclite1 >= 1.8.18-1.1
  • libpcsclite1-32bit >= 1.8.18-1.1
  • libpcscspy0 >= 1.8.18-1.1
  • libpcscspy0-32bit >= 1.8.18-1.1
  • pcsc-lite >= 1.8.18-1.1
  • pcsc-lite-devel >= 1.8.18-1.1
Patchnames:
openSUSE Tumbleweed GA libpcsclite1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 pcsc-lite Released
SUSE Linux Enterprise Desktop 10 SP4 pcsc-lite Released
SUSE Linux Enterprise Desktop 11 GA pcsc-lite Released
SUSE Linux Enterprise Desktop 11 SP1 pcsc-lite Released
SUSE Linux Enterprise Desktop 11 SP2 pcsc-lite Released
SUSE Linux Enterprise Desktop 11 SP3 pcsc-lite Released
SUSE Linux Enterprise Desktop 11 SP4 pcsc-lite Released
SUSE Linux Enterprise SDK 11 GA pcsc-lite Released
SUSE Linux Enterprise SDK 11 SP1 pcsc-lite Released
SUSE Linux Enterprise SDK 11 SP2 pcsc-lite Released
SUSE Linux Enterprise SDK 11 SP3 pcsc-lite Released
SUSE Linux Enterprise SDK 11 SP4 pcsc-lite Released
SUSE Linux Enterprise Server 10 SP3 pcsc-lite Released
SUSE Linux Enterprise Server 10 SP4 pcsc-lite Released
SUSE Linux Enterprise Server 10 SP4 LTSS pcsc-lite Released
SUSE Linux Enterprise Server 11 SP1 pcsc-lite Released
SUSE Linux Enterprise Server 11 SP1 LTSS pcsc-lite Released
SUSE Linux Enterprise Server 11 SP2 pcsc-lite Released
SUSE Linux Enterprise Server 11 SP2 LTSS pcsc-lite Released
SUSE Linux Enterprise Server 11 SP3 pcsc-lite Released
SUSE Linux Enterprise Server 11 SP3 LTSS pcsc-lite Released
SUSE Linux Enterprise Server 11 SP4 pcsc-lite Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 pcsc-lite Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 pcsc-lite Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 pcsc-lite Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 pcsc-lite Released
SUSE Linux Enterprise Server for VMWare 11 SP2 pcsc-lite Released
SUSE Linux Enterprise Server for VMWare 11 SP3 pcsc-lite Released